WordPress.org

Ready to get started?Download WordPress

Forums

Easing Slider "Lite"
[resolved] Calendar Plugin Conflicts with Easing Slider (4 posts)

  1. MerriDennis
    Member
    Posted 1 year ago #

    website is http://www.cbcirving.org

    Our calendar plugins (The Events Calendar and The Events Calendar PRO) seem to be in conflict with the upgraded version of Easing Slider Lite.

    For some reason, these two calendar plugins had been deactivated. I activated both the plugins and checked to make sure the calendar was working.

    Then I upgraded the Easing Slider Lite plugin and it stopped working.

    I did go through the process of deactivating all the plugins and then activating them again to make sure the calendar plugins are the issue.

    Help please . . .

    Merri

    http://wordpress.org/extend/plugins/easing-slider/

  2. MatthewRuddy
    Member
    Plugin Author

    Posted 1 year ago #

    Hi @MerriDennis, both of these plugins look to be disregarding WordPress best practices in loading jQuery. It appears that they are loading jQuery v1.4.1 and jQuery v1.4.4. Loading jQuery twice will always cause errors like this, and furthermore the versions being loaded are more than two years old and outdated.

    There is nothing Easing Slider can do as it follows all of WordPress's guidelines correctly in loading jQuery. Unfortunately it can't prevent other badly coded plugins from overriding this and breaking it. Personally I'd always avoid plugins that aren't abiding by these practices and find alternatives; they're just going to cause you trouble when using other correctly coded jQuery-based plugins as well.

    You can read a great article by Pippin Williamson here outlining the extent of the issues caused by loading jQuery incorrectly in WordPress. It's a major problem.

  3. MerriDennis
    Member
    Posted 1 year ago #

    Could I get a link to the last 2 or 3 versions of Easing Slider Lite? My web guys don't have a solution for the jquery problem at the moment. I would like to revert to the previous version for now so the site will at least be presentable.

    Thanks.

    Merri

  4. MatthewRuddy
    Member
    Plugin Author

    Posted 1 year ago #

    Can be downloaded here, but I really advise against avoiding the issue. It's going to cause you some serious headaches if you ever need any other jQuery-dependant plugins. They won't work.

    I'm not sure if reverting to the old version will work either. The error in question is coming from another plugin, not Easing Slider. However, that same error is breaking jQuery which consequently prevents the slideshow from working. I'm not sure if using the older version will help (could be wrong).

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic